<?php
session_start();
//RESTRICCIN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("../fphp.php");
$enlace=cargar_conexion();

$position_number = $_POST['codigo'];


if (isset($_POST['query'])) {
  $respuesta = mysqli_real_escape_string($enlace,$_POST['query']);
  $data = array();

	//Valida si es supervisor o es de RRHH
	if ((substr($_SESSION['acceso_validar'],30,1)=='1')||(substr($_SESSION['acceso_validar'],34,1)=='1')) {
		$sql = "SELECT * from personal WHERE nombres LIKE '%" . $respuesta . "%' AND status='A' AND id=".$_SESSION['id_validar']."";
	}else{
		$sql = "SELECT * from personal WHERE nombres LIKE '%" . $respuesta . "%' AND status='A' AND supervisor = '$position_number' AND id=".$_SESSION['id_validar']."";
	}

  $res = mysqli_query($enlace,$sql);
  if (mysqli_num_rows($res) > 0) {
    while ($row = mysqli_fetch_assoc($res)) {
      $nombres= ucwords(strtolower($row['nombres']));
      $nombres1= ucwords(strtolower($row['nombres1']));
      $apellidos= ucwords(strtolower($row['apellidos']));
      $apellidos1= ucwords(strtolower($row['apellidos1']));
      $data[] =$nombres." ".$nombres1." ".$apellidos." ".$apellidos1." ".$row['codigo'];
    }
    echo json_encode($data);
  }
}
mysqli_free_result($res);
mysqli_close($enlace);
?>
